Package com.android.server.os

# Interface LinphoneTombstoneProtos.LogBufferOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.LogBuffer`, `LinphoneTombstoneProtos.LogBuffer.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.LogBufferOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.LogMessage`
`getLogs(int index)`
`repeated .LogMessage logs = 2;`
`int`
`getLogsCount()`
`repeated .LogMessage logs = 2;`
`List<LinphoneTombstoneProtos.LogMessage>`
`getLogsList()`
`repeated .LogMessage logs = 2;`
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getName

String getName()
`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Returns:
  The bytes for name.

### getLogsList

List<LinphoneTombstoneProtos.LogMessage> getLogsList()
`repeated .LogMessage logs = 2;`

### getLogs

LinphoneTombstoneProtos.LogMessage getLogs(int index)
`repeated .LogMessage logs = 2;`

### getLogsCount

int getLogsCount()
`repeated .LogMessage logs = 2;`